﻿@model IEnumerable<SSOTestApp.Models.InboxEmailModel>

@{
    ViewBag.Title = "Mailbox";
}

<h2>Mailbox</h2>


<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Subject)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ReceivedFrom)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ReceivedOn)
        </th>
        <th></th>

    @foreach (var item in Model)
    {
        <tr @(item.IsRead == false ? "style=font-weight:bold;" : string.Empty )>
            <td>
                @Html.DisplayFor(modelItem => item.Subject)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ReceivedFrom)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ReceivedOn)
            </td>
            <td>
                @Html.ActionLink("View", "MailboxView", new { id = item.Id }) |
                @Html.ActionLink("Forward", "Details", new { id = item.Id }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.Id })
            </td>
        </tr>
    }

</table>
